Subject: Re: bug#59828: Fundamental Mode buffers fail to keep text properties

From: Heime <[email-masked]>
Date: Mon, 05 Dec 2022 13:49:28 +0000

------- Original Message -------
On Monday, December 5th, 2022 at 12:46 PM, Eli Zaretskii <[email-masked]> wrote:

> > Cc: [email-masked]
> > Date: Mon, 05 Dec 2022 08:30:51 +0000
> > From: Heime via "Bug reports for GNU Emacs,
> > the Swiss army knife of text editors" [email-masked]
> > 
> > > > Have noticed that when I insert text with colour properties in a buffer
> > > > using fundamental-mode, the text properties (e.g. colours) get lost.
> > > 
> > > I assume you used the ‘face property, right? If you replace ‘face with 'font-lock-face, does it work?
> > > 
> > > Yuan
> > 
> > I used 'font-lock-face and did not work.
> 
> 
> Please show the code you used. It works here.

(with-current-buffer (get-buffer-create bufrn)
  (insert (propertize "G"
             'font-lock-face '(:background "green"
                               :foreground "black"))))